com.threerings.parlor.tourney.server.persist

## Class TourneyRepository.TourneyRecord

- java.lang.Object
- - com.threerings.parlor.tourney.server.persist.TourneyRepository.TourneyRecord

Enclosing class:
  TourneyRepository

    public static class TourneyRepository.TourneyRecord
    extends Object

Contains tourney information loaded from the database.

### Field Summary

Fields
`byte[]` `config` The tourney configuration.
`int` `tourneyId` The tourney's unique identifier.

### Constructor Summary

Constructors
Constructor and Description
`TourneyRecord()`
`TourneyRecord(int tourneyId)`
`TourneyRecord(TourneyConfig tourneyConfig)`

### Method Summary

All Methods Instance Methods Concrete Methods
`TourneyConfig` `getTourneyConfig()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tourneyId

    public int tourneyId

The tourney's unique identifier.

#### config

    public byte[] config

The tourney configuration.

### Constructor Detail

#### TourneyRecord

    public TourneyRecord()

#### TourneyRecord

    public TourneyRecord(int tourneyId)

#### TourneyRecord

    public TourneyRecord(TourneyConfig tourneyConfig)

### Method Detail

#### getTourneyConfig

    public TourneyConfig getTourneyConfig()